<?php

/**
 * @file
 *
 * describe all the built in service methods
 */

/**
 * describe the file methods
 */
function services_api_get_file_descriptions(&$resources) {
  if (!isset($resources['file']['#description'])) {
    $resources['file']['#description'] = t('Any file being tracked by the system. Files are inserted into the {files} table in the database and are associated with the user who uploaded it.');
  }

  if (!isset($resources['file']['create']['#description'])) {
    $resources['file']['create']['#description'] = t('Upload the file to the server and create the necessary entry into the database relating the file to the user.');
  }

  if (!isset($resources['file']['retrieve']['#description'])) {
    $resources['file']['retrieve']['#description'] = t('Retrieve the file from the server.');
  }

  if (!isset($resources['file']['delete']['#description'])) {
    $resources['file']['delete']['#description'] = t('Delete the file from the database, also removes the file from the server file system.');
  }
}

/**
 * describe the comment methods
 */
function services_api_get_comment_descriptions(&$resources) {
  if (!isset($resources['comment']['#description'])) {
    $resources['comment']['#description'] = t('Comments can be made to post, these are stored in the database and displayed when the post is displayed.');
  }

  if (!isset($resources['comment']['create']['#description'])) {
    $resources['comment']['create']['#description'] = t('Create the comment in the database relating it to the user who wrote the comment and the post being commented upon. Comments can also be replies to previous comments and can have a position in a thread.');
  }

  if (!isset($resources['comment']['retrieve']['#description'])) {
    $resources['comment']['retrieve']['#description'] = t('Retrieve a comment from the database.');
  }

  if (!isset($resources['comment']['delete']['#description'])) {
    $resources['comment']['delete']['#description'] = t('Delete a comment from the database.');
  }

/*
  if (!isset($resources['comment']['actions']['countAll']['#description'])) {
    $resources['comment']['actions']['countAll']['#description'] = t('');
  }

  if (!isset($resources['comment']['actions']['countNew']['#description'])) {
    $resources['comment']['actions']['countNew']['#description'] = t(');
  }
*/
}

/**
 * describe the node methods
 */
function services_api_get_node_descriptions(&$resources) {
  if (!isset($resources['node']['#description'])) {
    $resources['node']['#description'] = t('Nodes are posts made on the system. They can be blog posts, news articles, or photos and videos with descriptions.');
  }

  if (!isset($resources['node']['create']['#description'])) {
    $resources['node']['create']['#description'] = t('Create a new post on the system.');
  }

  if (!isset($resources['node']['retrieve']['#description'])) {
    $resources['node']['retrieve']['#description'] = t('Retrieve a post from the database.');
  }

  if (!isset($resources['node']['delete']['#description'])) {
    $resources['node']['delete']['#description'] = t('Delete a post from the database.');
  }
}
